;*
;******************** ***********************
;*
;*  ATtiny25, RC- 8,0 
;*   - 100 
;*
;* Main:           
;*
;* Fuses          CKSEL=0010, SUT=10
;*                
;****************************************************************************

.nolist
.include "tn25def.inc"
.list

;*****  *****

.def	t1	 = r16     ;   
        

.cseg

.org 0
	rjmp Initial		 ;  

nop

Initial: ;  
	
ldi   t1,(RamEnd)
    out   spl,t1	    ;  

   	ldi	t1,0b00000100  
	out	PORTB,t1        ; PB0,PB1- 
	ldi	t1,0b00000011	
	out	DDRB,t1		    

ldi t1,0;(1<<DTPS1)|(1<<DTPS0) ; 32MHz/2, 0,0625 
out DTPS,t1

ldi t1,(1<<DTVH3)|(1<<DTVH2)|(1<<DTVH1)|(1<<DTVH0)|(1<<DTVL3)|(1<<DTVL2)|(1<<DTVL1)|(1<<DTVL0); 0,0625*3=0,188
out DTVALA,t1

ldi  t1,80          ;    
out  OCR1A,t1
ldi t1,159
out  OCR1C,t1 	     ;   = 100 
ldi  t1,0            ;    T1
out  TCNT1,t1
ldi t1,(1<<PLLE)     ;   , PCK=32
out PLLCSR,t1
Wait:
in t1,PLLCSR         ;    PLOCK
sbrs t1,PLOCK
rjmp Wait
ldi t1,(1<<LSM)|(1<<PCKE)|(1<<PLLE);   PCKE 
out PLLCSR,t1 
ldi t1,(1<<CTC1)|(1<<PWM1A)|(1<<COM1A0)|(1<<CS11)
out TCCR1,t1  ;   T1  ,    PCK/2


Main: ;  
nop
rjmp Main

;*********************************************************************************
.Exit


